'use strict';

// NOTE: Remember Relationship.createThroughModelFactory needs
// to be updated when the design of the model declaration is finished.

var Tag = ORM.Model.extend('tag', {
  attributes: {
    id: {

    },
    name: {

    },
    created_at: {

    },
    updated_at: {

    },
    posts: function(context) {
      // target, throughTable, selfThroughIdentifer, selfIdentifer, targetThroughIdentifer, targetIdentifer
      return context.belongsToMany('post', 'post_tag', 'tag_id', 'id', 'post_id', 'id');
    }
  },
  pre: {},
  post: {},
  method: {},
  static: {}
});

module.exports = Tag;