'use strict';
global.chai = require('chai');
global.should = chai.should();

// Library
global.ORM = require('../lib/orm');

ORM.Model.extend('tag', require('../models/tag'));
ORM.Model.extend('user', require('../models/user'));
ORM.Model.extend('media', require('../models/media'));
ORM.Model.extend('post', require('../models/post'));
ORM.Model.extend('post_item', require('../models/post-item'));

// Before all tests
before(function(done) {

  ORM.connect({
    host: '127.0.0.1',
    user: 'pi',
    password: 'raspberry',
    database: 'vello_development'
  });
  done();

  /*
  ORM.connect({
    client: 'postgresql',
    connection: {
      host: '127.0.0.1',
      user: 'pi',
      password: 'raspberry',
      database: 'orm_development'
    }
  }, {
    migrations: '../migration.js'
  });
  ORM.migrate.down().then(function() {
    console.log('Test: Database down');
    return ORM.migrate.up()
  })
  .then(function() {
    console.log('Test: Database up');
    done();
  })
  .catch(function(error) {
    console.log(error);
  });
  */
});
