/*
Querier.define('manyToMany', (params) => {
  return `select distinct ${params.select} from ${params.table}`;
});
Querier.transaction()
.then((transaction) => {
  return Querier.query('manyToMany', {
    select: '*',
    table: 'post.id'
  }).exec(transaction);
})
.then((transaction) => {
  return Querier.query('manyToMany', {
    select: '*',
    table: 'posts'
  }).exec(transaction);
})
.then((results) => {
  return Querier.query('manyToMany', {
    select: '*',
    table: 'posts'
  }).exec(transaction);
})
.then((transaction) => {
  transaction.commit();
})
.catch((error) => {
  transaction.rollback();
});
*/

/*
select distinct * from "post"
inner join "post_tag" on "post_tag"."post_id" = "post"."id"
where "post"."id" in (select "post_tag"."post_id" from "post_tag" inner join "tag" on "tag"."id" = "post_tag"."tag_id" where "tag"."name" = 'travel')

select distinct * from "post"
inner join "post_tag" on ("post_tag"."post_id" = "post"."id")
where "post"."id" in (select "post_tag"."post_id" from "post_tag" inner join "tag" on ("post_tag"."tag_id" = "tag"."id") where "tag"."name" = 'tech')



*/

/*
// Many to Many
let where = {
  tags: [
    {
      name: 'red'
    }
  ]
};

let table = 'post';
let relationTable = 'tag';
let throughTable = 'post_tag';
let relationTableIdentifer = 'id';
let tableIdentifer = 'id';
let throughIdentiferColumnTable = 'post_id';
let throughIdentiferColumnRelationTable = 'tag_id';
let column = 'name';
let value = 'tech';
let operator = '=';

let relation = ORM.querier.table(throughTable)
.select([[throughTable, throughIdentiferColumnTable]])
.innerJoin(relationTable)
.on([throughTable, throughIdentiferColumnRelationTable], '=', [relationTable, relationTableIdentifer])
.where([relationTable, column], operator, value);

let main = ORM.querier.table(table)
.distinct()
.select(['*'])
.innerJoin(throughTable)
.on([throughTable, throughIdentiferColumnTable], '=', [table, tableIdentifer])
.where([table, tableIdentifer])
.in(relation.sql());

main.sql();
*/


OLD FIND
/*
// Select
var selectRaw = '';
var selectResults = QueryHelper.buildSelectRaw(
  params.table,
  params.returnAttributes
);
selectRaw += selectResults.raw;

// INNER JOIN
var joinRaw = '';
var joinCount = 0;
var joinResults = QueryHelper.buildJoinRaw(
  params.table,
  params.join,
  joinCount,
  params.relationships
);
joinCount += joinResults.count;
joinRaw += joinResults.raw;

// WHERE
var whereRaw = '';
var whereCount = 0;

// Table Where
var whereResults = QueryHelper.buildWhereRaw(
  params.table,
  params.where,
  whereCount,
  params.relationships
);
whereCount += whereResults.count;
whereRaw += ' ' + whereResults.raw;

// JOIN WHERE
var joinWhereResults = QueryHelper.buildJoinWhereRaw(
  params.table,
  params.join,
  whereCount,
  params.relationships
);
whereCount += joinWhereResults.count;
whereRaw += ' ' + joinWhereResults.raw;

// LIMIT
var limitRaw = '';
if (params.options && params.options.limit >= 0) {
  limitRaw += QueryHelper.buildLimitRaw(params.options.limit).raw;
}

var raw = '';
raw += selectRaw;
raw += ' ' + joinRaw;
raw += whereRaw;
raw += limitRaw;

return params.ORM.knex.raw(raw, []).then(function(res) {
  return res.rows;
});
*/
