'use strict';
var Query = require('./query');
var ModelFactory = require('./model-factory');
var Querier = require('./querier');

var ORM = {
  querier: null,
  query: null,
  models: {},
  Model: {
    extend: function(tableName, attributes) {
      var model = new ModelFactory();
      ORM.models[tableName] = model.extend(ORM, tableName, attributes);
      return model;
    }
  },
  connect: function(connection, settings) {
    ORM.querier = Querier(connection, settings);
    ORM.query = Query;
    ORM.query.ORM = ORM;
  }
};

module.exports = ORM;