'use strict';

// NOTE: Remember Relationship.createThroughModelFactory needs
// to be updated when the design of the model declaration is finished.

var User = {
  attributes: {
    id: {

    },
    email: {

    },
    username: {

    },
    fullname: {

    },
    password: {
      private: true
    },
    created_at: {

    },
    updated_at: {

    },
    posts: function(context) {
      return context.hasMany('post', 'id', 'user_id');
    }
  },
  pre: {},
  post: {},
  method: {},
  static: {}
};

User.pre.save = function() {

};

User.post.save = function() {

};

User.method.combineTitle = function() {

};

User.static.findOrCreateByEmail = function() {

};

module.exports = User;